[arch-commits] CVS update of extra/network/wicd (4 files)
Varun Acharya
varun at archlinux.org
Mon Nov 5 14:35:21 UTC 2007
Date: Monday, November 5, 2007 @ 09:35:21
Author: varun
Path: /home/cvs-extra/extra/network/wicd
Added: ChangeLog (1.1) PKGBUILD (1.1) wicd-daemon (1.1) wicd.install (1.1)
wicd added to extra
--------------+
ChangeLog | 5 +++++
PKGBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
wicd-daemon | 28 ++++++++++++++++++++++++++++
wicd.install | 36 ++++++++++++++++++++++++++++++++++++
4 files changed, 113 insertions(+)
Index: extra/network/wicd/ChangeLog
diff -u /dev/null extra/network/wicd/ChangeLog:1.1
--- /dev/null Mon Nov 5 09:35:21 2007
+++ extra/network/wicd/ChangeLog Mon Nov 5 09:35:20 2007
@@ -0,0 +1,5 @@
+2007-11-05 Varun Acharya <varun at archlinux.org>
+
+Cleaned up PKGBUILD, defaults to /usr/share
+Adopted from AUR and moved to testing/extra
+
Index: extra/network/wicd/PKGBUILD
diff -u /dev/null extra/network/wicd/PKGBUILD:1.1
--- /dev/null Mon Nov 5 09:35:21 2007
+++ extra/network/wicd/PKGBUILD Mon Nov 5 09:35:20 2007
@@ -0,0 +1,44 @@
+# Maintainer: Varun Acharya <varun at archlinux.org>
+# Contributor: Rashif "Don Ray" Rahman <rayrashif at gmail.com>
+
+pkgname=wicd
+pkgver=1.3.1
+pkgrel=4
+pkgdesc="New and alternative wireless/wired network management utility"
+arch=('i686' 'x86_64')
+url="http://wicd.sourceforge.net/"
+license=('GPL')
+depends=('dbus-python' 'pygtk')
+conflicts=()
+install=wicd.install
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/wicd_$pkgver-src.tar.bz2 \
+ wicd-daemon)
+options=(!emptydirs)
+md5sums=('7ec32f0a88fee1ed61da038244eb692c' \
+ '27dfe9ef6a5f9a0b4f7ad925fb6db1b8')
+
+build() {
+
+# wicd moved to /usr/share
+ sed -i -e 's_/opt_/usr/share_' ${startdir}/src/etc/acpi/resume.d/80-wicd-connect.sh
+ sed -i -e 's_/opt_/usr/share_' ${startdir}/src/etc/init.d/wicd || return 1
+ sed -i -e 's_/opt_/usr/share_' ${startdir}/src/opt/wicd/gui.py || return 1
+
+ mv ${startdir}/src/opt/* ${startdir}/src/usr/share
+ cp -R ${startdir}/src/usr ${startdir}/pkg/
+
+ #Fix permissions
+
+ chmod -R 755 ${startdir}/pkg/usr/
+
+# Leave init.d pseudo-daemon and add custom rc.d script
+ cd ${startdir}
+ install -D -m755 wicd-daemon pkg/etc/rc.d/wicd
+
+# Copy other system files
+ cd $startdir/src/etc
+ install -D -m644 dbus-1/system.d/wicd.conf \
+ ${startdir}/pkg/etc/dbus-1/system.d/wicd.conf
+ install -D -m755 acpi/resume.d/80-wicd-connect.sh \
+ ${startdir}/pkg/etc/acpi/resume.d/80-wicd-connect.sh
+}
Index: extra/network/wicd/wicd-daemon
diff -u /dev/null extra/network/wicd/wicd-daemon:1.1
--- /dev/null Mon Nov 5 09:35:21 2007
+++ extra/network/wicd/wicd-daemon Mon Nov 5 09:35:20 2007
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting wicd Daemon"
+ killall daemon.py &> /dev/null
+ /usr/share/wicd/daemon.py &> /dev/null
+ add_daemon wicd
+ stat_done
+ ;;
+ stop)
+ stat_busy "Stopping wicd Daemon"
+ killall daemon.py &> /dev/null
+ rm_daemon wicd
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
Index: extra/network/wicd/wicd.install
diff -u /dev/null extra/network/wicd/wicd.install:1.1
--- /dev/null Mon Nov 5 09:35:21 2007
+++ extra/network/wicd/wicd.install Mon Nov 5 09:35:20 2007
@@ -0,0 +1,36 @@
+pre_install() {
+ echo
+ echo "==> Optional dependencies for DHCP"
+ echo "==> and secured wireless connections:"
+ echo
+ echo "dhclient wpa_supplicant"
+ echo
+ echo "==> Disable networkmanager,dhcbd or other networking"
+ echo "==> utility and add 'wicd' to DAEMONS"
+ echo "==> in /etc/rc.conf"
+ echo
+}
+
+post_install() {
+ echo
+ echo "Wireless Interface Connection Daemon"
+ echo
+ echo "==> To run: /usr/share/wicd/gui.py"
+ sleep 1
+
+ echo
+ echo "==> Tray: /usr/share/wicd/tray.py"
+ echo "==> Add it to your autostart folder"
+ echo "==> to have wicd tray applet appear at startup."
+ sleep 1
+
+ echo
+ echo "==> Thanks to schivmeister,"
+ echo "==> pierluigi, and Arch Linux users."
+
+}
+
+
+op=$1
+shift
+$op $*
More information about the arch-commits
mailing list